#!/bin/bash

trap 'exit 130' INT

wordlength=30
sdenom=1
sstart=1
send=1
qdenom=100
qstart=1
qend=200  # 1/sqrt(2) = 0.7071...

words="$(./billiard_words $wordlength | awk '{print $1}')"
#words="cbabcabacabcacbcab cabacabcacbcabcbab cabcacbcabcbabcaba"
#words="abcabc abcb cbabcacbcacbab"
#words="abcabc abcbcabcbc"
#words="abcabc bcbab bcbabcac"

for s in $(seq $sstart $send); do
	for q in $(seq $qstart $qend); do
		i=0
  		echo -n "$s/$sdenom $q/$qdenom "
#		MAXIMUM=only ./special_element $s/$sdenom $q/$qdenom $words
#		MAXIMUM=no ./special_element $s/$sdenom $q/$qdenom abcb
		MAXIMUM=no ./special_element $s/$sdenom $q/$qdenom $words | while read line; do
			echo -n "$line "
			((i=i+1))
		done
		echo
	done
done
